View Issue Details

IDProjectCategoryLast Update
0019742AI War 2[All Projects] GUISep 27, 2018 8:20 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.749 Release The Hounds 
Fixed in Version0.776 A Legible Galaxy Map 
Summary0019742: Reprisal waves to be distinct in icon from the others.
DescriptionFrom Badger: If you can come up with a way to tweak the Wave icon to say "This is a Reprisal Wave" then I would endorse that. To check, use the boolean plannedWaveObject.isReprisalWave
TagsNo tags attached.

Relationships

child of 0020159 resolvedx4000Bughunter Icon work todo (parent). 

Activities

BadgerBadger

Jul 25, 2018 12:50 pm

manager   ~0048060

We may also want to flag Reconquest waves similarly

zeusalmighty

Jul 25, 2018 1:47 pm

reporter   ~0048061

Having as much transparency about the wave mechanics is very good, particularly for new players. I for one find that information to be extremely helpful in figuring out the AI is capable of doing

It might be worthwhile to have as a setting for the AI that can choose to toggle to have this functionality on/off (so all waves just register as waves). The reason being that some hardcore players might like the challenge of not knowing exactly what the AI is up to

RocketAssistedPuffin

Jul 25, 2018 1:50 pm

developer   ~0048062

Is this anything to do with the symbols on wave warnings? There's a ! one and a water wave one. I have no idea what they mean.

x4000Bughunter

Sep 26, 2018 4:46 pm

administrator   ~0049517

sprite_ZenithTraderOnPlanet = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //ready to trade, sir!
sprite_DarkSpireVengeanceStrike = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //incoming vengeance strike timer
                sprite_NanocaustAttack = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //the Nanocaust has dispatched a fleet to attack a known location, may or may not be you
                sprite_Macrophage = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //there are Enraged Macrophages heading for your home command station
                sprite_WormholeInvasion = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //Wormhole Invasion Ongoing
                sprite_DevourerOnPlanet = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //devourer is on a planet you know about. Tracking purposes
                sprite_HackingNotifier = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //ongoing player hack (gives the time remaining)
                sprite_RiskAnalyzerNotifier = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //risk analyzers will fire soon to increase AIP
                sprite_AstroTrainNotifier = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //an astro train is en route to a depot
sprite_ExogalacticStrikeforce = ArcenAssetBundleManager.LoadUnitySpriteFromBundle( "arcenui", "assets/arcenui/images/attackhomeplanet.png" ); //timer for exo
                                


Also we need some new symbols for Waves. These should very clearly communicate "Incoming Wave", but with some minor modifier. The relevant categories are
"Regular Wave",
"Reconquest Wave" and
"Reprisal Wave". Also you will recieve notification for
"AI Wave heading to other player/other minor faction", so it would be nice to be able to indicate whether the faction is You or Someone Else. You can check the PlannedWave object to know which symbol to use. There's a PlannedWave.isReprisalWave and a PlannedWave.isReconquestWave. For waves against other factions, check PlannedWave.TargetFactionIndex.

x4000Bughunter

Sep 27, 2018 8:20 pm

administrator   ~0049571

Finally! :)

* There are now proper icons for all the various types of notifications at the top of the screen. The text overlap is still there (that's to be fixed very soon), but now you can see if it's an astro train moving around or the macrophage or whatever, without everything using the "your home planet is under attack" icon.
** Now if you see that home planet attack icon, you should really pay attention! That icon shouldn't be up there if you're defending yourself well... ;)

* There are now all-new wave icons. Well, they all use one of the icons that previously we had, anyway. But then there are four variants of those, for regular, home planet, reconquest, and reprisal waves. Since they all share the same base icon now, they are much more recognizable.
** Additionally, if a wave is being directed at a non-player faction, these same icons will show up grayed out instead. Note that if a different player in multiplayer is attacked, then it still shows up with the normal brightness because you should care!
** Also note that for reconquest waves, those never show up grayed out because those are always aimed at a planet not under current player control.

Issue History

Date Modified Username Field Change
Jul 10, 2018 10:58 am x4000Bughunter New Issue
Jul 10, 2018 10:58 am x4000Bughunter Status new => assigned
Jul 10, 2018 10:58 am x4000Bughunter Assigned To => x4000Bughunter
Jul 25, 2018 12:50 pm BadgerBadger Note Added: 0048060
Jul 25, 2018 1:47 pm zeusalmighty Note Added: 0048061
Jul 25, 2018 1:50 pm RocketAssistedPuffin Note Added: 0048062
Sep 6, 2018 10:22 am x4000Bughunter Relationship added child of 0020159
Sep 26, 2018 4:46 pm x4000Bughunter Note Added: 0049517
Sep 27, 2018 8:20 pm x4000Bughunter Status assigned => resolved
Sep 27, 2018 8:20 pm x4000Bughunter Resolution open => fixed
Sep 27, 2018 8:20 pm x4000Bughunter Fixed in Version => 0.776 A Legible Galaxy Map
Sep 27, 2018 8:20 pm x4000Bughunter Note Added: 0049571